import { requestClient } from '#/api/request';

// 全国公共资源爬虫
export function runSpider(data: any) {
  return requestClient.post(`/spider/run`, { data });
}

export function getSpiderStatus() {
  return requestClient.get(`/spider/status`);
}

export function getSpiderLogs() {
  return requestClient.get(`/v1/workflow/list`);
}

export function stopSpider() {
  return requestClient.get(`/spider/stop`);
}
